Debian Bug report logs - #494175
RFP: gypsy -- GPS multiplexing daemon

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Wolfgang Silbermayr <wolfgang@silbermayr.at>

Date: Thu, 7 Aug 2008 16:33:05 UTC

Severity: wishlist

Blocking fix for 569131: navit: gyspy vehicle

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#494175; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Silbermayr <wolfgang@silbermayr.at>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wolfgang Silbermayr <wolfgang@silbermayr.at>
To: submit@bugs.debian.org
Subject: ITP: gypsy -- GPS multiplexing daemon
Date: Thu, 07 Aug 2008 18:32:26 +0200
Package: wnpp
Severity: wishlist


* Package name : gypsy
Version: 0.6
Upstream Author : Iain Holmes <iain@openedhand.com>
* URL : http://gypsy.freedesktop.org/
* License : GPLv2 for the daemon, LGPLv2 for the library
Description: GPS multiplexing daemon
 Gypsy is a GPS multiplexing daemon which allows multiple clients to
 access GPS data from multiple GPS sources concurrently.
 Gypsy hides the tricky details of parsing NMEA from the client
 applications, passing the data as simple values for the clients to use.
 It uses D-Bus to notify clients about location changes, sitting on the
 system bus, issuing signals as the GPS data changes.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#494175; Package wnpp. (Tue, 11 Nov 2008 22:48:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Craig Andrews" <candrews@integralblue.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 11 Nov 2008 22:48:43 GMT) Full text and rfc822 format available.

Message #10 received at 494175@bugs.debian.org (full text, mbox):

From: "Craig Andrews" <candrews@integralblue.com>
To: 494175@bugs.debian.org
Subject: Already packaged upstream
Date: Tue, 11 Nov 2008 17:46:32 -0500 (EST)
Gypsy has already been packaged upstream at
http://gypsy.freedesktop.org/wiki/ - see http://debian.o-hand.com/

This means the package just need to be quality reviewed I think.





Owner recorded as Wolfgang Silbermayr <wolfgang@silbermayr.at>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 14 Nov 2008 01:22:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175; Package wnpp. (Sat, 01 Aug 2009 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralph Aichinger <ralph@mail.pangea.at>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Wolfgang Silbermayr <wolfgang@silbermayr.at>. (Sat, 01 Aug 2009 17:42:02 GMT) Full text and rfc822 format available.

Message #17 received at 494175@bugs.debian.org (full text, mbox):

From: Ralph Aichinger <ralph@mail.pangea.at>
To: 494175@bugs.debian.org, ross@debian.org
Subject: Gypsy packages
Date: Sat, 1 Aug 2009 19:40:47 +0200
Hi Ross (and readers of bug 494175 ;)!

I just downloaded your gps multiplexer packages, and I 
have some questions: Will this be packaged for Debian
proper, or are there reasons for it to stay outside?

Is there any user documentation? How do I tell it
where to find the GPS?

Is this developed upstream at all, or is it a dead project?
As a user, should I bother with it right now?

I'm asking this now, because with libchamplain and geoclue
lots and lots of pieces of a geo-aware desktop are falling
into place right now, but gypsy is very "quiet", or so it
seems to me as an "outsider".

Thanks for your work, and sorry if you get asked that
twice a week ;)

/ralph
-- 
http://www.flickr.com/photos/sooperkuh/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175; Package wnpp. (Mon, 03 Aug 2009 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ross Burton <ross@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Wolfgang Silbermayr <wolfgang@silbermayr.at>. (Mon, 03 Aug 2009 10:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 494175@bugs.debian.org (full text, mbox):

From: Ross Burton <ross@debian.org>
To: Ralph Aichinger <ralph@mail.pangea.at>
Cc: 494175@bugs.debian.org
Subject: Re: Gypsy packages
Date: Mon, 03 Aug 2009 11:13:05 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2009-08-01 at 19:40 +0200, Ralph Aichinger wrote:
> Hi Ross (and readers of bug 494175 ;)!
> 
> I just downloaded your gps multiplexer packages, and I 
> have some questions: Will this be packaged for Debian
> proper, or are there reasons for it to stay outside?
> 
> Is there any user documentation? How do I tell it
> where to find the GPS?
> 
> Is this developed upstream at all, or is it a dead project?
> As a user, should I bother with it right now?
> 
> I'm asking this now, because with libchamplain and geoclue
> lots and lots of pieces of a geo-aware desktop are falling
> into place right now, but gypsy is very "quiet", or so it
> seems to me as an "outsider".
> 
> Thanks for your work, and sorry if you get asked that
> twice a week ;)

Gypsy is fairly quite but it's fairly stable.  There are a number of
outstanding features which need to be completed, but for basic use it's
ready.  The one thing stopped me uploading into Debian was the
requirement to run it as root and the lack of auto-starting.  Maybe I
should just upload it to experimental now until there are sorted.

Regarding finding the GPS, your client application tells gypsy what
device to open.  I'm a fly-by-night patcher to gypsy, if you want to
talk to the maintainer when email Iain Holmes. 

Ross
-- 
Ross Burton                                 mail: ross@burtonini.com
                                          jabber: ross@burtonini.com
                                           www: http://burtonini.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175; Package wnpp. (Tue, 16 Feb 2010 21:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>. (Tue, 16 Feb 2010 21:51:02 GMT) Full text and rfc822 format available.

Message #27 received at 494175@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Ross Burton <ross@openedhand.com>
Cc: 494175@bugs.debian.org
Subject: Gypsy 0.7 Debian package
Date: Tue, 16 Feb 2010 22:50:06 +0100
[Message part 1 (text/plain, inline)]
Hi Ross,

In your Gypsy 0.7 announce email[0], back in august 2009, you state that
the Debian package is in the NEW queue. But it isn't there anymore, nor
in unstable or experimental. Was it rejected? Any chance for another try?

Thanks in advance,

_g.


[0] <http://lists.freedesktop.org/archives/geoclue/2009-August/000348.html>

[signature.asc (application/pgp-signature, attachment)]

Added indication that bug 494175 blocks 569131 Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Tue, 16 Feb 2010 21:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175; Package wnpp. (Wed, 09 Jun 2010 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>. (Wed, 09 Jun 2010 00:00:03 GMT) Full text and rfc822 format available.

Message #34 received at 494175@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 494175-submitter@bugs.debian.org
Cc: 494175@bugs.debian.org, Ross Burton <ross@debian.org>
Subject: Re: ITP: gypsy -- GPS multiplexing daemon
Date: Wed, 9 Jun 2010 01:57:05 +0200
Hi,

Any progress on this ITP for gypsy?

Cheers

Laurent Bigonville




Message sent on to Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175. (Wed, 09 Jun 2010 00:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175; Package wnpp. (Thu, 10 Jun 2010 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>. (Thu, 10 Jun 2010 15:15:03 GMT) Full text and rfc822 format available.

Message #42 received at 494175@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 494175-submitter@bugs.debian.org
Cc: 494175@bugs.debian.org, Ross Burton <ross@debian.org>
Subject: Re: ITP: gypsy -- GPS multiplexing daemon
Date: Thu, 10 Jun 2010 17:11:22 +0200
Hi,

I was bored so I made a package, I will publish it ASAP and maybe
upload it if no body has objections

Cheers

Laurent Bigonville




Message sent on to Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175. (Thu, 10 Jun 2010 15:15:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175; Package wnpp. (Thu, 10 Jun 2010 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ross Burton <ross@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>. (Thu, 10 Jun 2010 16:27:03 GMT) Full text and rfc822 format available.

Message #50 received at 494175@bugs.debian.org (full text, mbox):

From: Ross Burton <ross@debian.org>
To: Laurent Bigonville <bigon@debian.org>
Cc: 494175@bugs.debian.org
Subject: Re: ITP: gypsy -- GPS multiplexing daemon
Date: Thu, 10 Jun 2010 16:27:43 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-06-10 at 17:11 +0200, Laurent Bigonville wrote:
> I was bored so I made a package, I will publish it ASAP and maybe
> upload it if no body has objections

Sorry for the really slow response, I started work on a new release
yesterday and didn't get as far as packaging.

Did you notice the release I did yesterday?

Ross
-- 
Ross Burton                                 mail: ross@burtonini.com
                                          jabber: ross@burtonini.com
                                           www: http://burtonini.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175; Package wnpp. (Thu, 10 Jun 2010 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>. (Thu, 10 Jun 2010 20:48:03 GMT) Full text and rfc822 format available.

Message #55 received at 494175@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Ross Burton <ross@debian.org>
Cc: 494175@bugs.debian.org
Subject: Re: ITP: gypsy -- GPS multiplexing daemon
Date: Thu, 10 Jun 2010 22:46:46 +0200
[Message part 1 (text/plain, inline)]
Le Thu, 10 Jun 2010 16:27:43 +0100,
Ross Burton <ross@debian.org> a écrit :

> On Thu, 2010-06-10 at 17:11 +0200, Laurent Bigonville wrote:
> > I was bored so I made a package, I will publish it ASAP and maybe
> > upload it if no body has objections
> 
> Sorry for the really slow response, I started work on a new release
> yesterday and didn't get as far as packaging.

The package is available at:
http://git.debian.org/?p=collab-maint/gypsy.git;a=summary

> Did you notice the release I did yesterday?
Yep I saw it :)

I've no problem if you want to add you as uploader.
I think I will upload the package during the week-end if you have no
comment.

Cheers

Laurent Bigonville
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>:
Bug#494175; Package wnpp. (Sat, 19 Feb 2011 17:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Wolfgang Silbermayr <wolfgang@silbermayr.at>. (Sat, 19 Feb 2011 17:45:12 GMT) Full text and rfc822 format available.

Message #60 received at 494175@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 494175@bugs.debian.org
Cc: control@bugs.debian.org
Subject: gypsy: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:35 +0000
retitle 494175 RFP: gypsy -- GPS multiplexing daemon
noowner 494175
thanks

Hi,

This is an automatic email to change the status of gypsy back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting gypsy, please send a mail to
<control@bugs.debian.org> with:

 retitle 494175 ITP: gypsy -- GPS multiplexing daemon
 owner 494175 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <494175@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: gypsy -- GPS multiplexing daemon' from 'ITP: gypsy -- GPS multiplexing daemon' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:51:00 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Wolfgang Silbermayr <wolfgang@silbermayr.at>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:51:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#494175; Package wnpp. (Sat, 13 Oct 2012 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 13 Oct 2012 17:06:04 GMT) Full text and rfc822 format available.

Message #69 received at 494175@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: Laurent Bigonville <bigon@debian.org>
Cc: 494175@bugs.debian.org, Ross Burton <ross@debian.org>
Subject: There was once an ITP for gpsy
Date: Sat, 13 Oct 2012 20:03:53 +0300
Hi Laurent,

Way back in 2010 you prepared a package for gypsy 0.8 and said you'd
upload it to the archive. What happened to it? Was the package
rejected? Can you do an upload to experimental?

-- 
Regards,
EddyP
=============================================
The universe is not required to be in perfect harmony with human
ambition. - Carl Sagan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#494175; Package wnpp. (Sat, 13 Oct 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 13 Oct 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #74 received at 494175@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Eddy Petrișor <eddy.petrisor@gmail.com>
Cc: 494175@bugs.debian.org, Ross Burton <ross@debian.org>
Subject: Re: There was once an ITP for gpsy
Date: Sat, 13 Oct 2012 21:53:43 +0200
Le Sat, 13 Oct 2012 20:03:53 +0300,
Eddy Petrișor <eddy.petrisor@gmail.com> a écrit :

> Hi Laurent,

Hi,

> 
> Way back in 2010 you prepared a package for gypsy 0.8 and said you'd
> upload it to the archive. What happened to it? Was the package
> rejected? Can you do an upload to experimental?
> 

I didn't upload the package because I discover that gypsy was
containing some serious security issues.

I asked recently for a new release. I /think/ that it fix all the
concerns.

But I'm not sure I'll have the time to look at gypsy soon.

Cheers

Laurent Bigonville



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#494175; Package wnpp. (Wed, 07 Aug 2013 01:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Anholt <eric@anholt.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 07 Aug 2013 01:57:05 GMT) Full text and rfc822 format available.

Message #79 received at 494175@bugs.debian.org (full text, mbox):

From: Eric Anholt <eric@anholt.net>
To: 494175@bugs.debian.org
Subject: Re: There was once an ITP for gypsy
Date: Tue, 06 Aug 2013 22:57:01 +0200
[Message part 1 (text/plain, inline)]
I've picked up the bits from collab-maint and updated to 0.9 (which
resolves the major security concerns from 0.8), producing a build that
at least installs and executes here, though it's not working with the
only GPS I have available (GPS2BT on my android phone).

My WIP is at git://people.freedesktop.org/~anholt/gypsy.git.  I still
need to figure out what the process is for putting thigs up at
collab-maint, and a some details of gbp usage.  I'll be at DC13,
hopefully finding a mentor and finishing this off while I'm there.
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:22:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.